
#include "setumei.h"

void Setumei( SDL_Surface *screen ){

	SDL_Event 	event		;

	SDL_Surface	*img_tagu    	; // 説明のタグ系
	SDL_Surface	*img_setumei	; // 説明画面
	SDL_Surface	*img_haikei	; // 背景

	short		senflg = 0	; // 選択しているフラグ
	unsigned char 	flg = 0		; // 説明画面のフラグ		


	// 画像の読み込み===========================
	// 説明のタグ
	img_tagu = ( SDL_Surface *)IMG_Load("picture/setumei_gamen.bmp") ;
	if( img_tagu==NULL ) printf("NOT READ BMP\n") ;

	// 背景
	img_haikei = ( SDL_Surface *)IMG_Load("picture/haikei3.bmp") ;
	if( img_haikei==NULL ) printf("NOT READ BMP\n") ;


	// 透過処理
	SDL_SetColorKey( img_tagu, SDL_SRCCOLORKEY, 0x00f0f0f0 ) ;

	// メインループ
	while( flg==0 ){

		while( SDL_PollEvent( &event ) ){

			switch( event.type ){
					// マウスのボタンを押したとき
					case SDL_MOUSEBUTTONDOWN: 

					// 選択===============================

					// 選択画面で
					if( senflg==0 ){

						//イグジット（最初の画面）
						if( Sentaku( event.motion.x, event.motion.y,
								0, 0, 0, 0, 200, 75 ) ){
								flg = 1 ;
						}


						// 一つ目の『ソウサ』
						if( Sentaku( event.motion.x, event.motion.y, 
								0, 0, 200, 100, 250, 75 ) ){

							senflg = 1 ;
							// 説明画像（操作）をロード
							img_setumei = ( SDL_Surface *)IMG_Load("picture/setumei1.bmp") ;
							if( img_setumei==NULL ) printf("NOT READ BMP\n") ;

							// 透過処理
							SDL_SetColorKey( img_setumei, SDL_SRCCOLORKEY, 0x00ffffff ) ;
						}

						// 二つめの『モンダイ』
						if( Sentaku( event.motion.x, event.motion.y,
								 0, 0, 200, 190, 250, 75 )){

							senflg = 1 ;
							// 説明画像（操作）をロード
							img_setumei = ( SDL_Surface *)IMG_Load("picture/setumei2.bmp") ;
							if( img_setumei==NULL ) printf("NOT READ BMP\n") ;

							// 透過処理
							SDL_SetColorKey( img_setumei, SDL_SRCCOLORKEY, 0x00ffffff ) ;
						}
						
						// 三つめの『ゲージ』
						if( Sentaku( event.motion.x, event.motion.y,
								 0, 0, 200, 280, 250, 75 )){

							senflg = 1 ;
							// 説明画像（操作）をロード
							img_setumei = ( SDL_Surface *)IMG_Load("picture/setumei3.bmp") ;
							if( img_setumei==NULL ) printf("NOT READ BMP\n") ;

							// 透過処理
							SDL_SetColorKey( img_setumei, SDL_SRCCOLORKEY, 0x00ffffff ) ;
						}

						// 四めの『トクテン』
						if( Sentaku( event.motion.x, event.motion.y,
								 0, 0, 200, 370, 250, 75 )){
							senflg = 1 ;
							// 説明画像（操作）をロード
							img_setumei = ( SDL_Surface *)IMG_Load("picture/setumei4.bmp") ;
							if( img_setumei==NULL ) printf("NOT READ BMP\n") ;

							// 透過処理
							SDL_SetColorKey( img_setumei, SDL_SRCCOLORKEY, 0x00ffffff ) ;
						}

						// 左下の『オマケ１』
						if( Sentaku( event.motion.x, event.motion.y, 
								0, 0, 0, 445, 100, 35)){

							senflg = 1 ;
							// 説明画像（操作）をロード
							img_setumei = ( SDL_Surface *)IMG_Load("picture/omake1.bmp") ;
							if( img_setumei==NULL ) printf("NOT READ BMP\n") ;

							// 透過処理
							SDL_SetColorKey( img_setumei, SDL_SRCCOLORKEY, 0x00ffffff ) ;
						}

						// 右下の『オマケ２』
						if( Sentaku( event.motion.x, event.motion.y, 
								 0, 0, 540, 445, 100, 35)){
							senflg = 1 ;
							// 説明画像（操作）をロード
							img_setumei = ( SDL_Surface *)IMG_Load("picture/omake2.bmp") ;
							if( img_setumei==NULL ) printf("NOT READ BMP\n") ;

							// 透過処理
							SDL_SetColorKey( img_setumei, SDL_SRCCOLORKEY, 0x00ffffff ) ;
						}

					}
					// 説明画面でのEXIT
					else{

						if( Sentaku( event.motion.x, event.motion.y,
								0, 0, 500, 0, 125, 65 ) ){

							senflg = 0 ;
							// 画像が入っていたらリリース
							SDL_FreeSurface( img_setumei 	) 	;
						}
					}
					
	
					break ;

					// エスケープで終了
					case ESC_KEY:
						flg=1	;

						// 画像が入っていたらリリース
						if( senflg!=0 )  SDL_FreeSurface( img_setumei 	) 	;
					break	;

					case SDL_QUIT	:
						flg=1 	;

						// 画像が入っていたらリリース
						if( senflg!=0 )  SDL_FreeSurface( img_setumei 	) 	;
					break ;

			}
		}

		// 画像表示
		if( flg==0 ){

			// 背景
			DrawHaikei( screen, img_haikei, 2, 2, 0 )	;
			
			// 最初の選択画面
			if( senflg==0 ){
				setumei_0( screen, img_tagu, 
						event.motion.x, event.motion.y ) ;

				// EXIT
				if( Sentaku( event.motion.x, event.motion.y, 
						0, 0, 0, 0, 200, 75 ) ){
					DrawBMP( screen, 0, 0, img_tagu, 200, 0, 200, 75 ) ;
				}
				else	DrawBMP( screen, 0, 0, img_tagu, 0, 0, 200, 75 ) ;

			}
			else{
				// 説明画面
				DrawBMP( screen, 0, 0, img_setumei, 0, 0, 640, 480 ) ;

				// EXIT
				if( Sentaku( event.motion.x, event.motion.y,
						0, 0, 500, 0, 125, 65 ) ){
					DrawBMP( screen, 500, 0, img_tagu, 500, 140, 125, 65 ) ;
				}
				else	DrawBMP( screen, 500, 0, img_tagu, 500, 75, 125, 65 ) ;
				
				
			}
					
			// バックバッファ
			SDL_Flip( screen ) 	;
			loopWait()		;
		}


		
	}

	// 解放
	SDL_FreeSurface( img_tagu 	) 	;
	SDL_FreeSurface( img_haikei	)	;

}

// 最初のタグ選びの画面
void setumei_0( SDL_Surface *screen, SDL_Surface *img_tagu, int x, int y ){

	// 一つ目の『ソウサ』
	if( Sentaku( x, y, 0, 0, 200, 100, 250, 75 ) ){
		DrawBMP( screen, 200, 100, img_tagu, 250, 75, 250, 75 ) ;
	}
	else	DrawBMP( screen, 200, 100, img_tagu, 0, 75, 250, 75 ) ;

	// 二つめの『モンダイ』
	if( Sentaku( x, y, 0, 0, 200, 190, 250, 75 )){
		DrawBMP( screen, 200, 190, img_tagu, 250, 150, 250, 75 ) ;
	}
	else	DrawBMP( screen, 200, 190, img_tagu, 0, 150, 250, 75 ) ;

	// 三つめの『ゲージ』
	if( Sentaku( x, y, 0, 0, 200, 280, 250, 75 )){

		DrawBMP( screen, 200, 280, img_tagu, 250, 225, 250, 75 ) ;
	}
	else	DrawBMP( screen, 200, 280, img_tagu, 0, 225, 250, 75 ) ;

	// 四めの『トクテン』
	if( Sentaku( x, y, 0, 0, 200, 370, 250, 75 )){

		DrawBMP( screen, 200, 370, img_tagu, 250, 300, 250, 75 ) ;
	}
	else 	DrawBMP( screen, 200, 370, img_tagu, 0, 300, 250, 75 ) ;


	// 左下の『オマケ１』
	if( Sentaku( x, y, 0, 0, 0, 445, 100, 35)){

		DrawBMP( screen, 0, 445, img_tagu, 400, 35, 100, 35 ) ;
	}
	else	DrawBMP( screen, 0, 445, img_tagu, 400, 0, 100, 35 ) ;
	
	
	// 右下の『オマケ２』
	if( Sentaku( x, y, 0, 0, 540, 445, 100, 35)){

		DrawBMP( screen, 540, 445, img_tagu, 500, 35, 100, 35 ) ;
	}
	else	DrawBMP( screen, 540, 445, img_tagu, 500, 0, 100, 35 ) ;

	

}
	




