// -lSDL_mixer // 音楽s
// -lSDL_ttf // テキスト


//=================================
/* メインプログラム		*/
//=================================

#include "main.h"

int main( int argc, char *argv[] ){

	SDL_Surface 	*screen ;

	//初期化==============================================
	//ビデオシステム初期化
	if(SDL_Init(SDL_INIT_VIDEO) < 0){
		return -1;
	}

	//オーディオ初期化
	if(SDL_InitSubSystem(SDL_INIT_AUDIO) < 0){
		return -1;
	}
	if(Mix_OpenAudio(MIX_DEFAULT_FREQUENCY, MIX_DEFAULT_FORMAT, 2, 1024) < 0){
		return -1;
	}

	// タイトルバーのIcon読み込み　設定
	SDL_WM_SetIcon(SDL_LoadBMP("picture/icon.bmp"),NULL ) ;

	//タイトルバー関係の設定
	SDL_WM_SetCaption("FLGEAS PARTY", NULL);

	//windowのビデオモード設定
	screen=SDL_SetVideoMode( VIDEO_W, VIDEO_H, VIDEO_BIT, SDL_SWSURFACE );
	if( screen==NULL ){ return -1 ; }

	//srand( time( 0 ) ) ;
	srandom( time( 0 ) ) ;



	// タイトル画面表示
	Title( screen ) ;
	//MainGame( screen ) ;


	//後しまつ===========================================
	SDL_FreeSurface(screen);
	printf("OFF\n");

	Mix_CloseAudio();
	SDL_Quit();

	return 0 ;

}
