

//====================================
/* 絵を表示したり、判定したりするプログラム */
//====================================

#include "sub.h"

// FPS -----------------------------------


// 参考
void calcFPS(void)
{
	static Uint32 tick=0;
	static int freamcnt=0,fps=0;
	freamcnt++;
	if(tick+1000<SDL_GetTicks()){
		fps=freamcnt;
		freamcnt=0;
		tick=SDL_GetTicks();
		printf("%d fps\n",fps);
	}
	return;
}

void loopWait(void){
	Uint32 nowtime,lefttime;
	static Uint32 lasttime=0;
	const Uint32 interval=1000/FPS;//FPS40
	nowtime=SDL_GetTicks();
	lefttime=lasttime+interval-nowtime;
	if(lasttime+interval>nowtime){
	SDL_Delay(lefttime);
	lasttime=nowtime+lefttime;
	}else lasttime=nowtime;
	return;
}

//==============================================

// FPS表示関数
void fps( void ){
	
	static unsigned long st = 0, cnt = 0, scnt = 0 ;
	cnt++ ;
	if( NOW-st >=1000 ){ 	  // 1秒経過したか？
		scnt = cnt	; // 1秒経過したときのフレーム数を保存
		st = NOW 	;
		cnt = 0		;
	}
	printf("%ld\n", scnt ) ; 	
}

// wait 
//引数　ミリ秒
void wait( int wait_time ){
	int start, now;

	start = SDL_GetTicks();//clock();
	now = SDL_GetTicks();//clock();
	while( wait_time > now - start ){
		SDL_Delay(1);
		now = SDL_GetTicks();//clock();
	}
}
//　FPSに対応するウェイト
//引数　目標FPS
void fps_wait( int fps ){
	static int m_start=0, m_now;

	m_now = SDL_GetTicks();//clock();
	wait( 1000/fps - (m_now - m_start) );
	m_start = SDL_GetTicks();//clock();
}




// 選択系の枠のあたり判定
int Sentaku( int x1, int y1, 
			int w1, int h1, int x2, int y2, int w2, int h2 ){
	if(	x1+w1 > x2 &&
		x1 < x2+w2 &&
		y1+h1 > y2 &&
		y1 < y2+h2	){
			return 1;
	}
	return 0;
}

// 絵の表示用関数
void DrawBMP( SDL_Surface *screen, int dx, int dy, 
			SDL_Surface *img, int imgx, int imgy, int imgw, int imgh ){

	SDL_Rect src, dsr;

	// BMPの位置や幅をいれる
	src.x = imgx ;
	src.y = imgy ;
	src.w = imgw ;
	src.h = imgh ;

	// BMPを表示する位置や幅を決める
	dsr.x = dx ;
	dsr.y = dy ;

	// 表示
	SDL_BlitSurface(img, &src, screen, &dsr);

	return ;
}

// 背景の描画
void DrawHaikei( SDL_Surface *screen, SDL_Surface *img, char wmax, char ymax, int hx ){

	unsigned char i, j	; // 繰り返し変数

	// 背景の絵は320*240なので　最低でもwmax, ymaxは2以上必要
	for( i=0 ; i<wmax ; i++ ){
		for( j=0 ; j<ymax ; j++ ){

		DrawBMP( screen, -hx+( i*320 ), j*240,
			img, 0, 0, 320, 240 ) ;
		}
	}
}







